# IRremoteESP8266: src/ir_Pioneer.cpp File Reference

ir_Pioneer.cpp File Reference

Pioneer remote emulation. More...

## Variables

const uint16_t | kPioneerTick = 534
| uSeconds. More...
const uint16_t | kPioneerHdrMark = 8506
| uSeconds. More...
const uint16_t | kPioneerHdrSpace = 4191
| uSeconds. More...
const uint16_t | kPioneerBitMark = 568
| uSeconds. More...
const uint16_t | kPioneerOneSpace = 1542
| uSeconds. More...
const uint16_t | kPioneerZeroSpace = 487
| uSeconds. More...
const uint32_t | kPioneerMinCommandLength = 84906
| uSeconds. More...
const uint32_t | kPioneerMinGap = 25181
| uSeconds. More...

## Detailed Description

Pioneer remote emulation.

See also
  http://www.adrian-kingston.com/IRFormatPioneer.htm
  https://github.com/crankyoldgit/IRremoteESP8266/pull/547
  https://www.pioneerelectronics.com/PUSA/Support/Home-Entertainment-Custom-Install/IR+Codes/A+V+Receivers
  https://github.com/crankyoldgit/IRremoteESP8266/issues/1220

## Variable Documentation

## kPioneerBitMark

const uint16_t kPioneerBitMark = 568

uSeconds.

## kPioneerHdrMark

const uint16_t kPioneerHdrMark = 8506

uSeconds.

## kPioneerHdrSpace

const uint16_t kPioneerHdrSpace = 4191

uSeconds.

## kPioneerMinCommandLength

const uint32_t kPioneerMinCommandLength = 84906

uSeconds.

## kPioneerMinGap

const uint32_t kPioneerMinGap = 25181

uSeconds.

## kPioneerOneSpace

const uint16_t kPioneerOneSpace = 1542

uSeconds.

## kPioneerTick

const uint16_t kPioneerTick = 534

uSeconds.

## kPioneerZeroSpace

const uint16_t kPioneerZeroSpace = 487

uSeconds.